Package twisted :: Package tap :: Module manhole :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)` (inherited from `Options`)
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| `opt_p(self, opt)`
| ``opt_password`(self, password)` Required.
| `opt_port(self, opt)`
| `opt_version(self)` (inherited from `Options`)
| ``opt_w`(self, password)` Required.
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)

Class Variable Summary
`list` | `optParameters`
`string` | `synopsis`

Method Details

### opt_password(self, password)

Required. '-' will prompt or read a password from stdin.

### opt_w(self, password)

Required. '-' will prompt or read a password from stdin.

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optParameters

  Type:
    `list`
  Value:

        [['user', 'u', 'admin', 'Name of user to allow to log in']]

### synopsis

  Type:
    `string`
  Value:

        'mktap manhole [options]'

Generated by Epydoc 1.1 on Sat Feb 15 21:18:14 2003 | http://epydoc.sf.net